"use strict";

exports.__esModule = true;
exports.readMarkdownString = readMarkdownString;
exports.readMarkdownStringSync = readMarkdownStringSync;
exports.readMarkdown = readMarkdown;
exports.readMarkdownSync = readMarkdownSync;

var _marked = require("marked");

exports.TokensList = _marked.TokensList;

var _readFileSafe = require("read-file-safe");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function readMarkdownString(_x) {
  return _readMarkdownString.apply(this, arguments);
}

function _readMarkdownString() {
  _readMarkdownString = _asyncToGenerator(function* (path) {
    return (0, _readFileSafe.readFile)(path);
  });
  return _readMarkdownString.apply(this, arguments);
}

function readMarkdownStringSync(path) {
  return (0, _readFileSafe.readFileSync)(path);
}

function readMarkdown(_x2) {
  return _readMarkdown.apply(this, arguments);
}

function _readMarkdown() {
  _readMarkdown = _asyncToGenerator(function* (path) {
    return readMarkdownString(path).then(function (text) {
      return (0, _marked.lexer)(text);
    });
  });
  return _readMarkdown.apply(this, arguments);
}

function readMarkdownSync(path) {
  return (0, _marked.lexer)(readMarkdownStringSync(path));
}